 /*
 * HomeworkModel.java
 */
package homework;

import org.boxed_economy.besp.container.BESPContainer;
import org.boxed_economy.besp.container.BESPPlugin;
import org.boxed_economy.besp.model.ModelContainer;
import org.boxed_economy.besp.model.fmfw.AgentType;
import org.boxed_economy.besp.model.fmfw.BehaviorType;
import org.boxed_economy.besp.model.fmfw.RelationType; 

/**
 * Model for Boxed Economy Foundation Model Framework
 *
 * @generated modifiable
 * @version $$Id$$
 */
public class HomeworkModel implements BESPPlugin {
	
	public static AgentType AGENTTYPE_TamoriAgent;
	
	public static AgentType AGENTTYPE_GirlsAgent;
	public static BehaviorType BEHAVIORTYPE_SpeakingBehavior;
	public static BehaviorType BEHAVIORTYPE_RespondingBehavior;
	public static RelationType RELATIONTYPE_IitomoFanRelation;
	
	/** 
	* This method will be modified automatically by Model Editor 
	*
	* @generated
	*/
	public static void initializePlugin(BESPContainer container) {
		installTypes(container);
		buildStructure(container);
		setPriority(container);
	}

	/** 
	* This method will be modified automatically by Model Editor
	*
	* @generated
	*/
	private static void installTypes(BESPContainer container) {
		//Get the model container  
		ModelContainer modelContainer = container.getModelContainer();
		
		AGENTTYPE_TamoriAgent=modelContainer.installAgentType("homework.TamoriAgent");
		AGENTTYPE_GirlsAgent=modelContainer.installAgentType("homework.GirlsAgent");
		BEHAVIORTYPE_SpeakingBehavior=modelContainer.installBehaviorType("homework.SpeakingBehavior");
		BEHAVIORTYPE_RespondingBehavior=modelContainer.installBehaviorType("homework.RespondingBehavior");
		RELATIONTYPE_IitomoFanRelation=modelContainer.installRelationType("homework.IitomoFanRelation");
	}

	/** 
	* This method will be modified automatically by Model Editor 
	*
	* @generated
	*/
	private static void buildStructure(BESPContainer container) {
		ModelContainer modelContainer = container.getModelContainer();
		
	}

	/** 
	* Set priority 
	*
	* @generated modifiable
	*/	
	private static void setPriority(BESPContainer container) {
		ModelContainer modelContainer = container.getModelContainer();
		
		//:TODO set priority
	}
}